import {DocumentDirectory, FileNode} from "../src/ts_source/fileutils";

const path = require('path');
const chai = require('chai');

describe('fileutils', () => {
    it('DocumentDirectory Constructor fail-on-not-exist', testDocumentDirectoryFailNoExist)
    it('DocumentDirectory Constructor fail-on-file', testDocumentDirectoryFailFile)
    it('documentDirectoryConstructor - debug', testDocumentDirectoryConstructor);
});

function testDocumentDirectoryFailNoExist() {
    let directoryPath = path.join(__dirname, "../src/assets/documents/madeup");
    chai.expect(() => {
        new DocumentDirectory(directoryPath)
    }).to.throw(Error)
}

function testDocumentDirectoryFailFile() {
    let directoryPath = path.join(__dirname, "../src/assets/documents/Test.Word.Dock.docx");
    chai.expect(() => {
        new DocumentDirectory(directoryPath)
    }).to.throw(Error)
}

function testDocumentDirectoryConstructor() {
    let directoryPath = path.join(__dirname, "../src/assets/documents");
    let documents = new DocumentDirectory(directoryPath);
    console.log(documents);
    console.log((documents.root.getDirectories()[0].children));

}
